
QGIS Application - Bug report #13913

Embed layers and groups does not work properly with layer duplicate names

2015-11-30 05:36 AM - Paolo Cavallini

Status: Closed

Priority: High

Assignee:

Category: Project Loading/Saving

Affected QGIS version:3.0.0 Regression?: Yes

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 21935

Description

On QGIS desktop, if I include layers and groups from two different projects, and the layers and groups have the same name, the second

project is ignored, and the first layers are loaded twice instead.

I agree that having duplicate names is risky, but:

    -  there are legitimate case where this may occur (e.g. several groups with the same internal structure)

    -  if this is not allowed, a check should be in place, and the user should be warned not to do it; ideally an automatic renaming mechanism

should be offered in the dialog.

Related issues:

Related to QGIS Application - Bug report # 6686: Embedded layers from project... Closed 2012-11-13

Related to QGIS Application - Bug report # 9598: problems with adding embed l... Closed 2014-02-18

History

#1 - 2015-12-26 05:17 AM - Sebastian Dietrich

Additionally I encountered the following error:

If you have two or more groups with identical names QGIS always embeds the first one, no matter which one you select.

To reproduce:

    -  Create a project with a layout like this:

 - group

  -- Layer_X

 - group

  -- Layer_Y

    -  Embed the second group, containing Layer_Y.

    -  The first group, containing Layer_X, is embedded.

#2 - 2016-01-27 02:59 PM - Sebastian Dietrich

- Affected QGIS version changed from 2.8.3 to master

Importing layers with the same name works for me, as long as they do have different layer-IDs.

If they have the same layer-ID, e.g. because I used Save project as..., embedding does not work, even after renaming the second layer. See #9598.

#3 - 2017-05-01 01:06 AM - Giovanni Manghi

- Easy fix? set to No

- Regression? set to No
#4 - 2018-03-07 05:12 PM - Paolo Cavallini

- Regression? changed from No to Yes

- Affected QGIS version changed from master to 3.0.0

- Description updated

In QGIS 3 the situation has apparently got worse:

    -  layers with the same name from different project are not loaded

    -  styles are not preserved (this could warrant a separate ticket).

#5 - 2018-03-07 10:05 PM - Giovanni Manghi

- Priority changed from Normal to High

#6 - 2018-12-28 12:27 PM - Paolo Cavallini

- Status changed from Open to Feedback

Better add sample projects for ease of replication.

Thanks.

#7 - 2018-12-28 02:54 PM - Giovanni Manghi

Paolo Cavallini wrote:

Better add sample projects for ease of replication.

Thanks.

Note to yourself? :)

#8 - 2018-12-28 04:29 PM - Paolo Cavallini

- File ticket_13913.zip added

Apparently this is no longer the case, see attached projects and files.

#9 - 2018-12-28 04:32 PM - Giovanni Manghi

- Resolution set to not reproducable

- Status changed from Feedback to Closed

#10 - 2018-12-28 04:33 PM - Paolo Cavallini

- Resolution changed from not reproducable to fixed/implemented

Files

ticket_13913.zip 10.8 KB 2018-12-28 Paolo Cavallini
